Cancel a transfer request
curl --request POST \
--url https://api.staging.railsfromthecrypt.com/v1/transfer-requests/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "User requested cancellation"
}
'import requests
url = "https://api.staging.railsfromthecrypt.com/v1/transfer-requests/{id}/cancel"
payload = { "reason": "User requested cancellation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'User requested cancellation'})
};
fetch('https://api.staging.railsfromthecrypt.com/v1/transfer-requests/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Transfer cancelled successfully",
"data": {
"id": "c17d2777-e604-45e2-b6d5-7743652eadf1",
"type": "onramp",
"status": "fetching_rates",
"source": {
"amount": 10000,
"currency": "NGN"
},
"destination": {
"amount": 0,
"currency": "USDC"
},
"events": [
{
"status": "pending",
"timestamp": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"payments": [],
"created_at": "2025-10-10T09:15:21Z",
"reference": "TXN-2Z82FVYO6BW22RC7",
"rate": {
"value": 0,
"expires_at": null
},
"recipient": {
"id": "rec_01J8V9ZP3A7",
"type": "crypto",
"name": "My USDT Wallet",
"details": {
"network": "Ethereum",
"wallet_address": "0xABC123DEF456...",
"symbol": "USDT"
}
},
"payment_instructions": {
"type": "bank_transfer",
"bank_transfer": {
"account_number": "1234567890",
"account_name": "HashRails Ltd",
"bank_name": "Wema Bank",
"bank_code": "035"
}
}
}
}Transfer Request
Cancel Transfer
POST
/
v1
/
transfer-requests
/
{id}
/
cancel
Cancel a transfer request
Cancel an active transfer request. A cancellation reason must be provided.
Once cancelled, a transfer request cannot be resumed. You will need to create a new transfer request to retry.
Authorizations
JWT access token from POST /v1/auth/token/issue. Send as: Authorization: Bearer <access_token>
Path Parameters
Unique transfer request ID
Example:
"c17d2777-e604-45e2-b6d5-7743652eadf1"
Body
application/json
Reason for cancellation
Example:
"User requested cancellation"